summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test70.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tclap-1.2.1/tests/test70.sh')
-rw-r--r--tclap-1.2.1/tests/test70.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test70.sh b/tclap-1.2.1/tests/test70.sh
new file mode 100644
index 0000000..596d404
--- /dev/null
+++ b/tclap-1.2.1/tests/test70.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Checks that parsing exceptions are properly
+# propagated to the caller.
+../examples/test18 --help > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test70.out; then
+ exit 0
+else
+ exit 1
+fi
+